# Roxy

this is a wip overhaul for my static site generator, roxy. it technically works but it's very rough around the edges.

# Usage

```bash
roxy [INPUT] [OUTPUT]
```

Roxy will read each file from `INPUT` for valid files. It will look for `toml` for data and `md`, `html`, or `tera` for layout an content files. `toml` data is loaded into an object and given to content files (which can be used as variables with Tera placeholders). The content files will be processed first as Markdown, then as a Tera template. The output of this process will write to `OUTPUT`, preserving the original path (relative to `INPUT`).

# Configuration

Currently, Roxy only has two configuration keys

```toml
theme = "base16-ocean.dark" # the name of the theme for syntax highlighting
themes = ["./themes/base16-ocean.dark.tmTheme"]
```

